Upstream information

CVE-2017-10078 at MITRE

Description

Vulnerability in the Java SE component of Oracle Java SE (subcomponent: Scripting). The supported version that is affected is Java SE: 8u131. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise Java SE. Successful attacks of this vulnerability can result in unauthorized creation, deletion or modification access to critical data or all Java SE accessible data as well as unauthorized access to critical data or complete access to all Java SE accessible data. Note: This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified Component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service. CVSS 3.0 Base Score 8.1 (Confidentiality and Integrity impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5.5 8.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:N AV:N/AC:L/Au:S/C:C/I:C/A:N
Access Vector Network Network
Access Complexity Low Low
Authentication Single Single
Confidentiality Impact Partial Complete
Integrity Impact Partial Complete
Availability Impact None None
CVSS v3 Scores
  SUSE
Base Score 8.1
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N
Access Vector Network
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact None
SUSE Bugzilla entries: 1049308 [RESOLVED], 1049333 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1337
SUSE Linux Enterprise Desktop 12 SP3
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1337
SUSE Linux Enterprise Server 12 SP1-LTSS
  • java-1_8_0-ibm >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1337
SUSE-SLE-SERVER-12-SP1-2017-1389
SUSE Linux Enterprise Server 12 SP2
  • java-1_8_0-ibm >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1337
SUSE-SLE-SERVER-12-SP2-2017-1389
SUSE Linux Enterprise Server 12 SP3
  • java-1_8_0-ibm >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1337
SUSE-SLE-SERVER-12-SP3-2017-1389
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1337
SUSE Linux Enterprise Software Development Kit 12 SP2
  • java-1_8_0-ibm >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.10-30.5.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1389
SUSE Linux Enterprise Software Development Kit 12 SP3
  • java-1_8_0-ibm >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.10-30.5.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1389
SUSE Linux Enterprise for SAP 12 SP1
  • java-1_8_0-ibm >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1337
SUSE-SLE-SAP-12-SP1-2017-1389
SUSE OpenStack Cloud 6
  • java-1_8_0-ibm >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.10-30.5.1
  • java-1_8_0-openjdk >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-27.5.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-27.5.3
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1337
SUSE-OpenStack-Cloud-6-2017-1389
openSUSE Leap 42.2
  • java-1_8_0-openjdk >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-accessibility >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-debuginfo >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-debugsource >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-demo-debuginfo >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-devel-debuginfo >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-headless-debuginfo >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-javadoc >= 1.8.0.144-10.13.3
  • java-1_8_0-openjdk-src >= 1.8.0.144-10.13.3
Patchnames:
openSUSE-2017-954
openSUSE Leap 42.3
  • java-1_8_0-openjdk >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-accessibility >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-debuginfo >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-debugsource >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-demo >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-demo-debuginfo >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-devel >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-devel-debuginfo >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-headless >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-headless-debuginfo >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-javadoc >= 1.8.0.144-13.3
  • java-1_8_0-openjdk-src >= 1.8.0.144-13.3
Patchnames:
openSUSE-2017-954


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 java-1_8_0-openjdk Released
SUSE Linux Enterprise Desktop 12 SP3 java-1_8_0-openjdk Released
SUSE Linux Enterprise Server 12 SP1 LTSS java-1_8_0-openjdk Released
SUSE Linux Enterprise Server 12 SP2 java-1_8_0-openjdk Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI java-1_8_0-openjdk Released
SUSE Linux Enterprise Server 12 SP3 java-1_8_0-openjdk Released